Bug 1129203 - Engine don't start when SRV record for domain don't exists in DNS.
Summary: Engine don't start when SRV record for domain don't exists in DNS.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 09:58 UTC by Ondra Machacek
Modified: 2016-02-10 19:33 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:39:52 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29879 master MERGED aaa: Engine should start even if exception occured in load of legacy provider Never
oVirt gerrit 32009 ovirt-engine-3.5 MERGED aaa: Engine should start even if exception occured in load of legacy provider Never

Description Ondra Machacek 2014-08-12 09:58:50 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Add domain to engine.
   engine-manage-domains add --domain=brq-openldap.rhev.lab.eng.brq.redhat.com --provider=openldap --user=user0
2. Remove SRV record for ldap in DNS.
3. restart engine.

Actual results:
engine don't start

Expected results:
engine start

Additional info:

2014-08-12 11:43:24,107 INFO  [org.ovirt.engine.core.dal.job.ExecutionMessageDirector] (MSC service thread 1-2) Start initializing ExecutionMessageDirector
2014-08-12 11:43:24,109 INFO  [org.ovirt.engine.core.dal.job.ExecutionMessageDirector] (MSC service thread 1-2) Finished initializing ExecutionMessageDirector
2014-08-12 11:43:24,176 ERROR [org.ovirt.engine.extensions.aaa.builtin.kerberosldap.utils.dns.DnsSRVLocator] (MSC service thread 1-2) Error: could not find DNS SRV record name: _ldap._tcp.brq-openldap.rhev.lab.eng.brq.redhat.com.
Exception message is: DNS name not found [response code 3]
Possible causes: missing DNS entries in the DNS server or DNS resolving issues from engine-core machine.
Please Ensure correct DNS entries exist in the DNS server and ensure the DNS server is reachable from the engine-core machine.

Comment 1 Jiri Belka 2014-09-17 08:07:26 UTC
ok, ovirt-engine-backend-3.5.0-0.0.master.20140911085455.gite1c5ffd.el6.noarch

Comment 2 Sandro Bonazzola 2014-10-17 12:39:52 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.